Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server
Class ExecutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.joseki.server.ExecutionException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  QueryExecutionException

public class ExecutionException
extends java.lang.Exception

Version:
  $Id: ExecutionException.java,v 1.3 2004/04/30 14:13:13 andy_seaborne Exp $
Author:
  Andy Seaborne
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `longMessage`
`int` | `returnCode`
`java.lang.String` | `shortMessage`

Constructor Summary
`ExecutionException(int rc, java.lang.String _shortMessage)`
`ExecutionException(int rc, java.lang.String _shortMessage, java.lang.String _longMessage)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### returnCode

    public int returnCode

### shortMessage

    public java.lang.String shortMessage

### longMessage

    public java.lang.String longMessage

Constructor Detail

### ExecutionException

    public ExecutionException(int rc,
                              java.lang.String _shortMessage)

### ExecutionException

    public ExecutionException(int rc,
                              java.lang.String _shortMessage,
                              java.lang.String _longMessage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.